
		USE AdventureWorks2014;  
		GO  
		DBCC SHOWCONTIG ('HumanResources.Employee');  
		GO  

		USE AdventureWorks2014;  
		GO  
		DBCC SHOWCONTIG ('HumanResources.Employee') WITH FAST;  
		GO 
		
--Similar to sp_who2
		SELECT * FROM sys.sysprocesses

		--sys.dm_exec_input_buffer and DBCC INPUTBUFFER

		DBCC INPUTBUFFER(78)

		 --Nice blog post https://blog.sqlauthority.com/2017/09/04/sql-server-alternative-dbcc-inputbuffer-sys-dm_exec_input_buffer/
		
		SELECT es.session_id
				, login_name
				, ib.event_info
				, status
				, cpu_time
				, memory_usage
				, logical_reads
				, writes
				, row_count AS 'TotalTime'
				, login_time, last_request_start_time, last_request_end_time AS 'host'
				, program_name
				, open_transaction_count
		FROM sys.dm_exec_sessions AS es
			CROSS APPLY sys.dm_exec_input_buffer(es.session_id, NULL) AS ib
		WHERE es.session_id > 50