SELECT * FROM sys.dm_xe_sessions

SELECT * FROM sys.dm_xe_session_targets



--Query with Join
SELECT    t.target_name
		, S.name 
		, e.event_name
FROM sys.dm_xe_session_targets t
	INNER JOIN sys.dm_xe_sessions S
		ON T.event_session_address = S.ADDRESS
	INNER JOIN sys.dm_xe_session_events e
		ON s.address = e.event_session_address
WHERE s.name IN ('QueryTimeout', 'Deadlocks', 'System_health')
ORDER BY s.name