SELECT 
		s.name AS SessionName
		, e.name AS EventName
		, e.predicate
		, a.name AS ActionName
		, t.name AS TargetName 
FROM sys.server_event_sessions s 
	INNER JOIN sys.server_event_session_events e
		ON s.event_session_id = e.event_session_id 
	INNER JOIN sys.server_event_session_actions a
		ON s.event_session_id = a.event_session_id 
	INNER JOIN sys.server_event_session_targets t 
		ON s.event_session_id = t.event_session_id 
WHERE s.name <> 'system_health' 
GO 