CREATE EVENT SESSION [FailedLogins] ON SERVER 
ADD EVENT sqlserver.error_reported(
    ACTION(sqlserver.client_app_name,sqlserver.client_hostname,sqlserver.nt_username)
    WHERE ([severity]=(14) AND [error_number]=(18456) AND [state]>(1)))
ADD TARGET package0.event_file(SET filename=N'C:\temp\FailedLogins2016clev.xel')

GO




ALTER EVENT SESSION [FailedLogins]  
ON SERVER  
STATE = start;  
GO  



ALTER EVENT SESSION [FailedLogins]  
ON SERVER  
STATE = stop;  
GO  


