---- Create XML variable to hold Target Data
--DECLARE @target_data XML
--select event_data = CONVERT(XML, event_data) 
--  INTO #t
--FROM master.sys.dm_xe_sessions AS s 
--JOIN master.sys.dm_xe_session_targets AS t 
--    ON t.event_session_address = s.address
--WHERE s.name = 'Longrunningquery'

SELECT event_data = CONVERT(XML, event_data) 
  INTO #t
  FROM sys.fn_xe_file_target_read_file(N'C:\temp\EE\LongRunningQueries_0_131741501105210000.xel', NULL, NULL, NULL);

--SELECT td.query('.') as n
--FROM @target_data.nodes('event_file/event') as td

  --AND t.target_name = 'pair_matching'
--Show XML column, is actually text
--Select *
--FROM sys.fn_xe_file_target_read_file(N'C:\temp\EE\LongRunningQueries_0_131741501105210000.xel', null, null, null);

----Convert to XML
--IF OBJECT_ID('tempdb..#ExEvent') IS NOT NULL DROP TABLE #ExEvent
 

--SELECT IDENTITY(INT,1,1) AS RowId, object_name AS event_name, CONVERT(XML,event_data) AS event_data
--    INTO #ExEvent
--FROM sys.fn_xe_file_target_read_file(N'C:\temp\EE\LongRunningQueries_0_131741501105210000.xel', null, null, null);


--Select * from #ExEvent
---- Query the XML variable to get the Target Data

SELECT 

    DATEADD(hh, 
            DATEDIFF(hh, GETUTCDATE(), CURRENT_TIMESTAMP), 
            n.value('(event/@timestamp)[1]', 'datetime2')) AS [timestamp],
			n.value('(event/action[@name="username"]/value)[1]', 'varchar(100)') as UserName,
			n.value('(event/action[@name="client_hostname"]/value)[1]', 'varchar(100)') as client_hostname,
			n.value('(event/action[@name="client_app_name"]/value)[1]', 'varchar(100)') as client_app_name,
			n.value('(event/action[@name="offset"]/value)[1]', 'varchar(100)') as Offset,
			n.value('(event/action[@name="sql_text"]/value)[1]', 'varchar(max)') as sql_text ,
			n.value('(event/data[@name="statement"]/value)[1]', 'varchar(max)') as statement 
FROM
(    SELECT td.query('.') as n
FROM @target_data.nodes('event_file/event') AS q(td)
) as tab
				
ORDER BY 1 desc
GO