--Flush everything

DBCC freeproccache
DBCC FREESYSTEMCACHE( 'ALL')
DECLARE @dbid INT = DB_ID() 
DBCC FLUSHPROCINDB (@dbId)
DBCC FREESESSIONCACHE
DBCC DROPCLEANBUFFERS

SET NOCOUNT ON

USE AdventureWorks2014
--Turn both on with one line or two
SET STATISTICS IO, TIME OFF

SET STATISTICS TIME ON
SET STATISTICS IO ON

SELECT *
FROM Production.Product AS p
WHERE p.ListPrice = 49.99;

SELECT *
FROM Production.Product AS p
WHERE p.ProductID = 2

SELECT *
FROM Production.Product AS p
WHERE p.ProductID > 340 and p.ProductID < 350


SELECT *
FROM Production.Product AS p
WHERE p.ProductID in (341, 342, 343, 344, 345, 346, 347, 348, 349)


SELECT * FROM sysfiles

--Run in a seperate window
--Flush everything
--Make sure Statistics OS is on

SELECT    database_id
		, file_id
		, num_of_reads
		, num_of_bytes_read
		, io_stall_read_ms --number of ms wait for a read
		, num_of_writes
		, io_stall
FROM sys.dm_io_virtual_file_stats(DB_ID(N'AdventureWorks2014'), 1);  
GO  



--Turn off at end of Demo

SET STATISTICS IO, TIME OFF