--Turn on Actual Execution Plan

USE AdventureWorks2014
CREATE TABLE #TestParalellism
					(
				[SalesOrderID] [int] NOT NULL,
				[SalesOrderDetailID] [int]  NOT NULL,
				[CarrierTrackingNumber] [nvarchar](25) NULL,
				[OrderQty] [smallint] NOT NULL,
				[ProductID] [int] NOT NULL,
				[SpecialOfferID] [int] NOT NULL,
				[UnitPrice] [money] NOT NULL,
				[UnitPriceDiscount] [money] NOT NULL,
				[LineTotal] BIGINT,
				[rowguid] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
				[ModifiedDate] [datetime] NOT NULL)

INSERT #TestParalellism
	SELECT * FROM [Sales].[SalesOrderDetail]

	SELECT P.* FROM #TestParalellism p
		ORDER BY ProductID


DROP TABLE #TestParalellism
