CREATE EVENT SESSION [QueryTimeout] ON SERVER 
ADD EVENT sqlserver.sql_statement_completed,
ADD EVENT sqlserver.sql_statement_starting(
    ACTION(sqlserver.client_app_name,sqlserver.client_hostname,sqlserver.database_name,sqlserver.sql_text,sqlserver.username))
ADD TARGET package0.pair_matching(SET begin_event=N'sqlserver.sql_statement_starting',begin_matching_columns=N'statement,offset',end_event=N'sqlserver.sql_statement_completed',end_matching_columns=N'statement,offset')
WITH (MAX_MEMORY=4096 KB,EVENT_RETENTION_MODE=ALLOW_SINGLE_EVENT_LOSS,MAX_DISPATCH_LATENCY=30 SECONDS,MAX_EVENT_SIZE=0 KB,MEMORY_PARTITION_MODE=NONE,TRACK_CAUSALITY=ON,STARTUP_STATE=ON)
GO


ALTER EVENT SESSION [QueryTimeout]  
ON SERVER  
STATE = start;  
GO  



ALTER EVENT SESSION [QueryTimeout]  
ON SERVER  
STATE = stop;  
GO  


